
resource "opnsense_unbound_host_override" "esphome" {

  #for_each = var.esphome_boards
  for_each = { for i, v in var.esphome_boards : i => v }

  enabled     = true
  description = "ESPHome MCU for ${each.value.name}"
  hostname    = each.value.name
  domain      = "home.cowley.tech"
  server      = each.value.address
}

resource "opnsense_unbound_host_override" "physical_home" {
  for_each = { for i, v in var.physical_home : i => v }

  enabled     = true
  description = each.value.name
  hostname    = each.value.name
  domain      = "home.cowley.tech"
  server      = each.value.address
}

resource "opnsense_unbound_host_override" "physical_lab" {
  for_each = { for i, v in var.physical_lab : i => v }

  enabled     = true
  description = each.value.name
  hostname    = each.value.name
  domain      = "lab.cowley.tech"
  server      = each.value.address
}

resource "opnsense_unbound_host_override" "iot_devices" {
  for_each = { for i, v in var.iot_devices : i => v }

  enabled     = true
  description = each.value.description
  hostname    = each.value.name
  domain      = "lab.cowley.tech"
  server      = each.value.address
}
