physical_lab = [
  {
    name = "kubemaster0"
    address = "192.168.6.5"
    mac = "c0:3f:d5:6a:02:a3"
  },
  {
    name = "agent0"
    address = "192.168.6.58"
    mac = "c0:3f:d5:63:7b:3c"
  },
  {
    name = "agent1"
    address = "192.168.6.60"
    mac = "b8:ae:ed:7f:bc:45"
  },
  {
    name = "agent2"
    address = "192.168.6.61"
    mac = "c0:3f:d5:66:ba:79"
  },
  {
    name = "hc401"
    address = "192.168.6.46"
    mac = "00:1e:06:49:24:45"
  },
  {
    name = "nut01"
    address = "192.168.6.47"
    mac = "b8:27:eb:4a:7e:04"
  },
]
physical_home = [
  {
    name = "kodi"
    address = "192.168.5.139"
    mac = "2c:cf:67:77:69:85"
  },
  {
    name = "zigbee"
    address = "192.168.5.123"
    mac = "b8:27:eb:db:2e:30"
  },
  {
    name = "hpenvy"
    address = "192.168.5.89"
    mac = "84:2a:fd:42:6c:ad"
  },
  {
    name = "brother"
    address = "192.168.5.95"
    mac = "00:90:4c:c5:12:38"
  },
]
esphome_boards = [
  {
    name    = "controlpanel"
    address = "192.168.5.141"
    mac     = "10:00:3b:01:97:b8"
  },
  {
    name    = "frontdoor"
    address = "192.168.5.140"
    mac     = "10:00:3b:01:eb:40"
  },
  {
    name    = "lounge"
    address = "192.168.5.135"
    mac     = "e8:06:90:65:2e:9c"
  },
  {
    name    = "office"
    address = "192.168.5.130"
    mac     = "c8:c9:a3:c5:74:cc"
  },
]

dhcp_subnets = {
  iot  = "192.168.3.0/24"
  work = "192.168.4.0/24"
  home = "192.168.5.0/24"
  lab  = "192.168.6.0/24"
}

iot_devices = [
  {
    name = "garage-water-heater"
    address = "192.168.3.3"
    mac = "ac:0b:fb:da:42:8e"
    description = "garage-water-heater"
  },
  {
    name = "shelly1minig3-cc8da25df93c"
    address = "192.168.3.4"
    mac = "cc:8d:a2:5d:f9:3c"
    description = "gate-relay"
  },
]
